<?php
class KNowPHelper
{
  const KRIA_COMMONDATAS_MACHINEINFO = 'C:\\KRIA\\CommonDatas\\MachineInfo.ini';
  
  /**
   * 
   * @return string
   */
  public static function getInstallationId()
  {
    if(fileExists(self::KRIA_COMMONDATAS_MACHINEINFO))
    {
      $machineInfo = parse_ini_file(self::KRIA_COMMONDATAS_MACHINEINFO);
      if(isset($machineInfo['KriaMachineId']))
        return $machineInfo['KriaMachineId'];
    }
    return null;
  }
}